Nowe posty

Autor Wątek: wireshark  (Przeczytany 806 razy)

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
wireshark
« dnia: 2019-03-17, 16:04:43 »
wireshark: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory


panas@Panas:/usr/lib/x86_64-linux-gnu$ find -name 'libicui*'
./libicuio.so.60
./libicui18n.so.60.2
./libicui18n.so.60
./libicuio.so.60.2

Offline arecki

  • Users
  • Użytkownik
  • **
  • Wiadomości: 50
    • Zobacz profil
Odp: wireshark
« Odpowiedź #1 dnia: 2019-03-17, 16:37:48 »
Jak instalowałeś tego wiresharka?

Offline pavbaranov

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 342
    • Zobacz profil
Odp: wireshark
« Odpowiedź #2 dnia: 2019-03-17, 20:40:19 »
Przydałaby się też informacja o dystrybucji :)

Offline marcin'82

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 289
    • Zobacz profil
Odp: wireshark
« Odpowiedź #3 dnia: 2019-03-17, 20:53:26 »
Pakiet jest w repozytorium, po co PPA?
https://packages.ubuntu.com/search?keywords=wireshark .
marcin82

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #4 dnia: 2019-03-17, 21:17:27 »
Z terminala, 18n nie wiem jak doinstalować

sudo  apt install wireshark
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
The following additional packages will be installed:
  libmaxminddb0 libnl-route-3-200 libqt5multimedia5-plugins libsmi2ldbl libspandsp2 libwireshark-data libwireshark11 libwiretap8 libwscodecs2
  libwsutil9 wireshark-common wireshark-qt
Sugerowane pakiety:
  mmdb-bin snmp-mibs-downloader wireshark-doc
Zostaną zainstalowane następujące NOWE pakiety:
  libmaxminddb0 libnl-route-3-200 libqt5multimedia5-plugins libsmi2ldbl libspandsp2 libwireshark-data libwireshark11 libwiretap8 libwscodecs2
  libwsutil9 wireshark wireshark-common wireshark-qt
0 aktualizowanych, 13 nowo instalowanych, 0 usuwanych i 2 nieaktualizowanych.
Konieczne pobranie 16,0 MB/19,8 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 104 MB miejsca na dysku.
Kontynuować? [T/n] T
Pobieranie:1 http://pl.archive.ubuntu.com/ubuntu bionic/universe amd64 libmaxminddb0 amd64 1.3.1-1 [25,6 kB]
Pobieranie:2 http://pl.archive.ubuntu.com/ubuntu bionic/main amd64 libnl-route-3-200 amd64 3.2.29-0ubuntu3 [146 kB]
Pobieranie:3 http://pl.archive.ubuntu.com/ubuntu bionic/universe amd64 libqt5multimedia5-plugins amd64 5.9.5-0ubuntu1 [194 kB]
Pobieranie:4 http://pl.archive.ubuntu.com/ubuntu bionic/main amd64 libsmi2ldbl amd64 0.4.8+dfsg2-15 [100 kB]
Pobieranie:5 http://pl.archive.ubuntu.com/ubuntu bionic/universe amd64 libspandsp2 amd64 0.0.6+dfsg-0.1 [273 kB]
Pobieranie:6 http://pl.archive.ubuntu.com/ubuntu bionic-security/universe amd64 libwireshark-data all 2.6.6-1~ubuntu18.04.0 [1 402 kB]
Pobieranie:7 http://pl.archive.ubuntu.com/ubuntu bionic-security/universe amd64 libwsutil9 amd64 2.6.6-1~ubuntu18.04.0 [56,7 kB]
Pobieranie:8 http://pl.archive.ubuntu.com/ubuntu bionic-security/universe amd64 libwiretap8 amd64 2.6.6-1~ubuntu18.04.0 [177 kB]
Pobieranie:9 http://pl.archive.ubuntu.com/ubuntu bionic-security/universe amd64 libwscodecs2 amd64 2.6.6-1~ubuntu18.04.0 [17,7 kB]
Pobieranie:10 http://pl.archive.ubuntu.com/ubuntu bionic-security/universe amd64 libwireshark11 amd64 2.6.6-1~ubuntu18.04.0 [13,6 MB]
Pobrano 16,0 MB w 26s (618 kB/s)                                                                                                                     
Prekonfiguracja pakietów ...
Wybieranie wcześniej niewybranego pakietu libmaxminddb0:amd64.
(Odczytywanie bazy danych ... 227828 plików i katalogów obecnie zainstalowanych.)
Przygotowywanie do rozpakowania pakietu .../00-libmaxminddb0_1.3.1-1_amd64.deb ...
Rozpakowywanie pakietu libmaxminddb0:amd64 (1.3.1-1) ...
Wybieranie wcześniej niewybranego pakietu libnl-route-3-200:amd64.
Przygotowywanie do rozpakowania pakietu .../01-libnl-route-3-200_3.2.29-0ubuntu3_amd64.deb ...
Rozpakowywanie pakietu libnl-route-3-200:amd64 (3.2.29-0ubuntu3) ...
Wybieranie wcześniej niewybranego pakietu libqt5multimedia5-plugins:amd64.
Przygotowywanie do rozpakowania pakietu .../02-libqt5multimedia5-plugins_5.9.5-0ubuntu1_amd64.deb ...
Rozpakowywanie pakietu libqt5multimedia5-plugins:amd64 (5.9.5-0ubuntu1) ...
Wybieranie wcześniej niewybranego pakietu libsmi2ldbl:amd64.
Przygotowywanie do rozpakowania pakietu .../03-libsmi2ldbl_0.4.8+dfsg2-15_amd64.deb ...
Rozpakowywanie pakietu libsmi2ldbl:amd64 (0.4.8+dfsg2-15) ...
Wybieranie wcześniej niewybranego pakietu libspandsp2:amd64.
Przygotowywanie do rozpakowania pakietu .../04-libspandsp2_0.0.6+dfsg-0.1_amd64.deb ...
Rozpakowywanie pakietu libspandsp2:amd64 (0.0.6+dfsg-0.1) ...
Wybieranie wcześniej niewybranego pakietu libwireshark-data.
Przygotowywanie do rozpakowania pakietu .../05-libwireshark-data_2.6.6-1~ubuntu18.04.0_all.deb ...
Rozpakowywanie pakietu libwireshark-data (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu libwsutil9:amd64.
Przygotowywanie do rozpakowania pakietu .../06-libwsutil9_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu libwsutil9:amd64 (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu libwiretap8:amd64.
Przygotowywanie do rozpakowania pakietu .../07-libwiretap8_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu libwiretap8:amd64 (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu libwscodecs2:amd64.
Przygotowywanie do rozpakowania pakietu .../08-libwscodecs2_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu libwscodecs2:amd64 (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu libwireshark11:amd64.
Przygotowywanie do rozpakowania pakietu .../09-libwireshark11_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu libwireshark11:amd64 (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu wireshark-common.
Przygotowywanie do rozpakowania pakietu .../10-wireshark-common_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu wireshark-common (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu wireshark-qt.
Przygotowywanie do rozpakowania pakietu .../11-wireshark-qt_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu wireshark-qt (2.6.6-1~ubuntu18.04.0) ...
Wybieranie wcześniej niewybranego pakietu wireshark.
Przygotowywanie do rozpakowania pakietu .../12-wireshark_2.6.6-1~ubuntu18.04.0_amd64.deb ...
Rozpakowywanie pakietu wireshark (2.6.6-1~ubuntu18.04.0) ...
Przetwarzanie wyzwalaczy pakietu mime-support (3.60ubuntu1)...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils (0.23-1ubuntu3.18.04.2)...
Konfigurowanie pakietu libspandsp2:amd64 (0.0.6+dfsg-0.1) ...
Konfigurowanie pakietu libnl-route-3-200:amd64 (3.2.29-0ubuntu3) ...
Przetwarzanie wyzwalaczy pakietu bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Konfigurowanie pakietu libsmi2ldbl:amd64 (0.4.8+dfsg2-15) ...
Konfigurowanie pakietu libwsutil9:amd64 (2.6.6-1~ubuntu18.04.0) ...
Przetwarzanie wyzwalaczy pakietu libc-bin (2.27-3ubuntu1)...
Konfigurowanie pakietu libwireshark-data (2.6.6-1~ubuntu18.04.0) ...
Konfigurowanie pakietu libqt5multimedia5-plugins:amd64 (5.9.5-0ubuntu1) ...
Konfigurowanie pakietu libwscodecs2:amd64 (2.6.6-1~ubuntu18.04.0) ...
Przetwarzanie wyzwalaczy pakietu man-db (2.8.3-2ubuntu0.1)...
Przetwarzanie wyzwalaczy pakietu shared-mime-info (1.9-2)...
Przetwarzanie wyzwalaczy pakietu gnome-menus (3.13.3-11ubuntu1.1)...
Przetwarzanie wyzwalaczy pakietu hicolor-icon-theme (0.17-2)...
Konfigurowanie pakietu libmaxminddb0:amd64 (1.3.1-1) ...
Konfigurowanie pakietu libwiretap8:amd64 (2.6.6-1~ubuntu18.04.0) ...
Konfigurowanie pakietu libwireshark11:amd64 (2.6.6-1~ubuntu18.04.0) ...
Konfigurowanie pakietu wireshark-common (2.6.6-1~ubuntu18.04.0) ...
Konfigurowanie pakietu wireshark-qt (2.6.6-1~ubuntu18.04.0) ...
Konfigurowanie pakietu wireshark (2.6.6-1~ubuntu18.04.0) ...
Przetwarzanie wyzwalaczy pakietu libc-bin (2.27-3ubuntu1)...
panas@Panas:~$ wireshark
wireshark: error while loading shared libraries: libicui18n.so.52: cannot open shared object file: No such file or directory
panas@Panas:~$

Offline parana

  • Users
  • Użytkownik
  • **
  • Wiadomości: 52
    • Zobacz profil
Odp: wireshark
« Odpowiedź #5 dnia: 2019-03-17, 21:23:09 »
sudo apt-get install libicu52
juz robileś ?
ASRock A320M-HDV 3.0, ASRock TPM2-S, Athlon 200GE, 2X4GB 2400MHz Ballistix Sport LT, PCIe Gen 3 M2 Silicon 128 GB, 2XSSD Silicon Power A55 256GB, Logic M4, Be quiet! B9 350W, SilentiumPC Zephyr 80mm. GNU/Linux Debian 10

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #6 dnia: 2019-03-17, 21:37:04 »
Tak, brak jest kandydata do instalacji.
Pobrany sourece code 3.0.0 ze strony też siada przy wywołaniu  "make"


panas@Panas:~$ sudo apt-get install libicu52 
[sudo] hasło użytkownika panas:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet libicu52 nie ma dostępnej wersji, ale odnosi się do niego inny pakiet.
Zazwyczaj oznacza to, że pakietu brakuje, został zastąpiony przez inny
pakiet lub nie jest dostępny przy pomocy obecnie ustawionych źródeł.

E: Pakiet libicu52 nie ma kandydata do instalacji

Offline parana

  • Users
  • Użytkownik
  • **
  • Wiadomości: 52
    • Zobacz profil
Odp: wireshark
« Odpowiedź #7 dnia: 2019-03-17, 21:44:58 »
a masz w ścieżce z dep:

deb http://security.ubuntu.com/ubuntu trusty-security main
ASRock A320M-HDV 3.0, ASRock TPM2-S, Athlon 200GE, 2X4GB 2400MHz Ballistix Sport LT, PCIe Gen 3 M2 Silicon 128 GB, 2XSSD Silicon Power A55 256GB, Logic M4, Be quiet! B9 350W, SilentiumPC Zephyr 80mm. GNU/Linux Debian 10

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #8 dnia: 2019-03-17, 21:54:38 »
Trochę sie zgubiłe, chodzi ci o source.list?

deb http://pl.archive.ubuntu.com/ubuntu/ bionic main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ bionic-updates main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
deb [arch=amd64] https://packages.microsoft.com/ubuntu/16.04/mssql-server-preview xenial main
# deb-src [arch=amd64] https://packages.microsoft.com/ubuntu/16.04/mssql-server-preview xenial main
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
# deb-src https://dl.winehq.org/wine-builds/ubuntu/ bionic main

Offline marcin'82

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 289
    • Zobacz profil
Odp: wireshark
« Odpowiedź #9 dnia: 2019-03-17, 21:54:54 »
Sprawdziłem przed chwilą obraz xubuntu-18.04.2-desktop-amd64.iso. Bez aktualizowania systemu przez "apt-get dist-upgrade" dało się zainstalować i uruchomić wireshark i wireshark-gtk. Dziwne ... @pb ... besęnsu :D W systemie jest libicu60.
marcin82

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #10 dnia: 2019-03-17, 22:03:04 »
Marcin na virtual box również mi poszło ale na moim systemie nic nie rusza,  w sumie zastanawiam się teraz czy coś wcześniej nie pomieszałem i teraz takie mam efekty.

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #11 dnia: 2019-03-17, 22:41:52 »
Program jest zainstalowany ale nie odpala
https://i.imgur.com/QYk1GL6.png

panas@Panas:~$ wireshark 
wireshark: error while loading shared libraries: libicui18n.so.52: cannot open shared object file: No such file or directory

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2181
  • 1709
    • Zobacz profil
Odp: wireshark
« Odpowiedź #12 dnia: 2019-03-18, 00:24:40 »
1. Nie rozwidlaj sie na kilka tematow :-)
https://forum.linux.pl/index.php/topic,25528.0.html
i jeszcze tu https://forum.linux.pl/index.php/topic,25526.msg137214.html#new


2. Zapoznaj sie z komendami o ktorych kiedys wspomnialem https://forum.linux.pl/index.php/topic,25197.0.html
( locate, dpkg -S, apt-file find ..., i strace na nastepnej stronie )
Jak sobie nie poradzisz to wtedy bedziemy sie zastanawiac.
« Ostatnia zmiana: 2019-03-18, 00:27:36 wysłana przez 1709 »
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline pavbaranov

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 342
    • Zobacz profil
Odp: wireshark
« Odpowiedź #13 dnia: 2019-03-18, 08:17:39 »
@Panas - Pomijając fakt, że bóg jeden raczy wiedzieć co robi u Ciebie repozytorium dla 16.04 w systemie *buntu 18.04, co może też tworzyć jakieś problemy, to:
1. Przeglądnij u siebie wszystkie repozytoria, jakie udostępniłeś systemowi.
2. Zmień mirrory z polskich, na jakieś inne i spróbuj raz jeszcze.
3. Wyczyść cache APTa.
Wygląda bowiem na to, że system masz - przynajmniej częściowo - zaktualizowany do obecnej wersji 16.04, ale wireshark jest instalowany w starej wersji, która nie została przebudowana na nowszych bibliotekach.

Offline Panas

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 132
    • Zobacz profil
Odp: wireshark
« Odpowiedź #14 dnia: 2019-03-18, 10:05:25 »
No trochę wczoraj pomotałem z tymi tematami, przepraszam :P
Wireshack jest zainstalowany, po kliknięciu pojawia się ikona w Planku, uruchomienie przez konsole generuje błąd

Z konsoli
https://pastebin.com/P2Cbfyjh

@pavbaranov ten deb 16.04 tyczył się m$ jak miałem problem z mssql.
deb [arch=amd64] https://packages.microsoft.com/ubuntu/16.04/mssql-server-preview xenial main
# deb-src [arch=amd64] https://packages.microsoft.com/ubuntu/16.04/mssql-server-preview xenial main

Zastanawiam się czy to jakoś nie koliduje w systemie ale też nie chcę mssql nie chce uwalić

Mirror zmieniłem na globalny ( teraz zastanawiam się jak to można robić z poziomu konsoli)
Cache czyściłem

parana zasugerował dołączenie depa z trusty :P nawet się nad tym zastanawiałem ale ostatecznie strach ma wielkie  oczy i nie ruszyłem.

Na koniec
sudo apt install wireshark -f
[sudo] hasło użytkownika panas:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
wireshark is already the newest version (2.6.6-1~ubuntu18.04.0).


Nie wiem jak tego liba pobrać i wstawić go aby działało
« Ostatnia zmiana: 2019-03-18, 10:17:28 wysłana przez Panas »